Le forum français des radios FrSKY

Simulateur 2.1.9 et 2.2.0 en FR

Page 1 sur 8 1, 2, 3, 4, 5, 6, 7, 8  Suivant

Voir le sujet précédent Voir le sujet suivant Aller en bas

Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Mar 18 Aoû - 7:02

Le simu en français version 2.1.9: [Vous devez être inscrit et connecté pour voir ce lien]

Note: A partir de la version 2.1.X, si vous remplacez les 3 fichiers opentx-taranisxxx-simulator.dll par les fichiers opentx-taranisxxx-fr-simulator.dll (fournit dans le fichier simuxxxFR.zip) dans le répertoire de votre installation d'OpenTX : C:\Program Files (x86)\OpenTX\Companion 2.1.x; le simulateur de Companion et de Firmware Simulateur passe en français sur les Taranis.
La désinstallation effacera tout le répertoire même si certains fichiers ont été modifiés en dehors de l'installation.

Le simu en français version 2.2.0: [Vous devez être inscrit et connecté pour voir ce lien]

Le fichier contient les dll's 2.2.0, en français, des radios Frsky suivantes :

[Vous devez être inscrit et connecté pour voir ce lien]

Faire au préalable une sauvegarde des dll's d'origines, du répertoire C:\Program Files (x86)\OpenTX\Companion 2.2, avant de les remplacer par les versions françaises contenues dans le fichier ZIP, sait-on jamais ...

Le coin des amateurs de compilation perso:
Quelques compléments à la doc [Vous devez être inscrit et connecté pour voir ce lien] qui peuvent être utiles:

Ce fichier doshere.reg vous donne la possibilité de cliquer avec le bouton droit sur un fichier ou un dossier et d'avoir une fenêtre DOS à cet emplacement.

Code:
Windows Registry Editor Version 5.00

[HKEY_CLASSES_ROOT\Drive\shell\DosHere]
@="Command &Prompt Here"

[HKEY_CLASSES_ROOT\Drive\shell\DosHere\command]
@="C:\\WINDOWS\\system32\\cmd.exe /k cd \"%1\""

[HKEY_CLASSES_ROOT\Folder\shell\DosHere]
@="Command &Prompt Here"

[HKEY_CLASSES_ROOT\Folder\shell\DosHere\command]
@="C:\\WINDOWS\\system32\\cmd.exe /k cd \"%1\""

[HKEY_CLASSES_ROOT\Directory\shell\DosHere]
@="Command &Prompt Here"

[HKEY_CLASSES_ROOT\Directory\shell\DosHere\command]
@="C:\\WINDOWS\\system32\\cmd.exe /k cd \"%1\""

[HKEY_CLASSES_ROOT\*\shell\DosHere]
@="Command &Prompt Here"

[HKEY_CLASSES_ROOT\*\shell\DosHere\command]
@="C:\\WINDOWS\\system32\\cmd.exe /k cd \"%1\""

Vérifier le PATH depuis cette fenêtre DOS :
Code:
PATH=C:\Programs\Python27\Lib\site-packages\PyQt4;
C:\MinGW\msys\1.0\bin;
C:\MinGW\bin;
C:\programs\Python27;
C:\Programs\CMake\bin;
C:\Program Files (x86)\GNU Tools ARM Embedded\4.7 2013q3\arm-none-eabi\bin;
C:\WinAVR\bin;
C:\Programs\NSIS\bin;
C:\Users\devfr\AppData\Local\Atlassian\SourceTree\git_local\bin;

Building Companion 2.1.x:
Le build pour obtenir le simulateur en français:
Code:
cmake -G "Visual Studio 10" ..\src -DCMAKE_PREFIX_PATH=C:\Qt\4.8.7
cmake . –DTRANSLATIONS=FR

Building Companion 2.2:
Le build ne construit qu’un simulateur à la fois avec les options de firmware que l’on peut choisir avec les directives :  -DPCB=X9D -DTRANSLATIONS=FR -DHELI=NO -DGVARS=YES -DLUA=YES -DMIXERS_MONITOR=YES -DTIMERS=2 -DMULTIMODULE=YES

Si l'on ne passe aucune directive, la configuration par défaut de la radio du simulateur est dans \..\..\opentx-next\radio\src\CMakeLists.txt
Code:
set(PCB "X9D+" CACHE STRING "Radio type")
set(TRANSLATIONS "FR" CACHE STRING "Radio language")
option(HELI "Heli menu" ON)
option(FLIGHT_MODES "Flight Modes" ON)

Le build avec quelques directives:
Code:
cmake -G "Visual Studio 14" ..\ -DCMAKE_PREFIX_PATH=C:\Qt\Qt5.7.0\5.7\msvc2015 -DPCB=X9D -DTRANSLATIONS=FR -DHELI=NO -DGVARS=YES -DLUA=YES -DMIXERS_MONITOR=YES -DTIMERS=2 -DMULTIMODULE=YES

Pour finir, après la compilation, copier les DLL's d'une installation 2.2 >= RC8 dans le répertoire Release:

[Vous devez être inscrit et connecté pour voir ce lien]

On peut également utiliser un fichier cmd pour générer les différents simulateurs et compagnon:
Code:
SET OPENTX_VERSION_SUFFIX=PERSO
SET COMMON_OPTIONS=-G "Visual Studio 14" ..\ -DCMAKE_PREFIX_PATH=C:\Qt\Qt5.7.0\5.7\msvc2015 -DGVARS=YES -DTRANSLATIONS=FR -DHELI=NO -DLUA=YES -DMIXERS_MONITOR=YES -DTIMERS=2 -DMULTIMODULE=YES -DHAPTIC=YES

for %%p in (X9D X9E X9D X9D+ X7 X12S) do ( cmake %COMMON_OPTIONS% -DPCB=%%p
"C:\Program Files (x86)\MSBuild\14.0\Bin\MSBuild.exe" radio\src\targets\simu\libsimulator.vcxproj /p:Configuration=Release )

"C:\Program Files (x86)\MSBuild\14.0\Bin\MSBuild.exe" companion/src/installer.vcxproj /p:Configuration=Release


Dernière édition par dev.fred le Mar 26 Sep - 12:58, édité 37 fois

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par LapinFou le Mar 18 Aoû - 7:26

Pourrais-tu aussi compiler le simulateur Français pour OpenTX 2.0.17 ??
Cela m'intéresse pour les captures d'écran utilisées dans les Tutos et docs.

avatar
LapinFou
Modérateur

Messages : 7157
Date d'inscription : 09/09/2014
Age : 42
Localisation : Falaise

http://falaisemodeleclub.fr/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par Kilrah le Mar 18 Aoû - 10:19

Pas besoin de modifier le code, suffit de faire un
cmake . -DTRANSLATIONS=FR

dans le dossier de build.

Pour 2.0 par contre il faut modifier le code vu que ce système n'existe pas encore. Tu peux mettre un
#define TRANSLATIONS_FR

dans companion/src/firmwares/opentx/opentxTaranisSimulator.cpp

Kilrah

Messages : 2175
Date d'inscription : 28/01/2014
Localisation : Suisse

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Mer 19 Aoû - 14:27

Kilrah a écrit: Pas besoin de modifier le code, suffit de faire un cmake . -DTRANSLATIONS=FR
dans le dossier de build.

Merci pour cette info, c'est la cerise sur le gâteau
J'ai remis à jour ma doc, je pense que c'est maintenant la dernière version, elle est au point Wink

Kilrah a écrit:Pour 2.0 par contre il faut modifier le code vu que ce système n'existe pas encore. Tu peux mettre un
#define TRANSLATIONS_FR
dans companion/src/firmwares/opentx/opentxTaranisSimulator.cpp
LapinFou a écrit:Pourrais-tu aussi compiler le simulateur Français pour OpenTX 2.0.17 ??
Cela m'intéresse pour les captures d'écran utilisées dans les Tutos et docs.
J'ai tout ce qu'il faut pour m'y mettre, je suis juste contraint par mon lien internet du lieu de vacances (la 4G ne passe pas), il n'y a qu'au café-resto de chez Paulette que je peux me connecter 1 fois/jour Very Happy


Dernière édition par dev.fred le Lun 31 Aoû - 15:20, édité 1 fois

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par CoyotteDundee le Mer 19 Aoû - 18:21

il n'y a qu'au café-resto de chez Paulette...

Pourtant...  C'éééétait bieeeeen, chez Pauleeetheeeeu....


Coyotte
avatar
CoyotteDundee

Messages : 1806
Date d'inscription : 03/03/2014
Age : 53
Localisation : Montegnée (Liège)

http://blog.baily-fouss.be/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Ven 21 Aoû - 7:33

CoyotteDundee a écrit: le Mer 19 Aoû 2015 - 20:21
  il n'y a qu'au café-resto de chez Paulette...
Pourtant...  C'éééétait bieeeeen, chez Pauleeetheeeeu....
Plutôt Laurette, Paulette c'est les paupiettes de veau ... Very Happy

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Ven 21 Aoû - 7:49

Kilrah a écrit:Pour 2.0 par contre il faut modifier le code vu que ce système n'existe pas encore. Tu peux mettre un
#define TRANSLATIONS_FR
dans companion/src/firmwares/opentx/opentxTaranisSimulator.cpp

Le passage de l'env de build de 2.1 à 2.0= repassage en python 2 only:
Désinstaller python 3
Renommer le .exe de python2.3 de python2 en python
Tout ce passe bien jusqu'au projet simulator où je bloque sur:
Generating firmwares/th9x/th9xsimulator.cpp
Le chemin d'accès spécifié est introuvable..

Sous build\firmware j'ai le répertoire vide th9x (et un 2eme que j'ai pas noté)
J'ai copié opentx-2.0\companion\src\firmwares vers opentx-2.0\companion\build\firmwares sans résultat.
Il semble que ce soit plutôt un pb de path bien que firmwares\.. soit directement sous build.

------ Build started: Project: common, Configuration: Release Win32 ------
 Generating E:/opentx-2.0/radio/src/bitmaps/sticks.lbm
 find: paths must precede expression
 Usage: find [path...] [expression]
 make: Nothing to be done for `lbm'.
 Generating E:/opentx-2.0/radio/src/translations/en.h
 find: paths must precede expression
 Usage: find [path...] [expression]
 make: Nothing to be done for `tra'.
 Generating E:/opentx-2.0/radio/src/lua_exports.inc
 find: paths must precede expression
 Usage: find [path...] [expression]
 make: `lua_exports.cpp' is up to date.
 common.vcxproj -> E:\opentx-2.0\companion\build\Release\common.lib
------ Build started: Project: simulator, Configuration: Release Win32 ------
 Building Custom Rule E:/opentx-2.0/companion/src/CMakeLists.txt
 CMake does not need to re-run because E:\opentx-2.0\companion\build\CMakeFiles\generate.stamp is up-to-date.
 Generating firmwares/th9x/th9xsimulator.cpp
 Le chemin d'accès spécifié est introuvable.
C:\Program Files\MSBuild\Microsoft.Cpp\v4.0\Microsoft.CppCommon.targets(151,5): error MSB6006: "cmd.exe" exited with code 1.

========== Build: 1 succeeded, 1 failed, 6 up-to-date, 0 skipped ==========

Je ne vois pas trop quelle piste explorer?
Est ce que le wiki build de github [Vous devez être inscrit et connecté pour voir ce lien] est resté en 2.0 ou parle déjà de la 2.1 car il indique d'installer python 3.4 et j'ai constaté qu'en 2.0 les py retournaient un pb de syntaxe sur un print!
Je suis donc passé en python 2.3 et là plus de pb évidement.


Dernière édition par dev.fred le Sam 22 Aoû - 20:57, édité 6 fois

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par nicephore le Ven 21 Aoû - 8:14

Une simple comme ça scratch :
Après modification(s), les variables d'environnement du projet sont ok ? scratch ...

nicephore

Messages : 607
Date d'inscription : 14/06/2014
Localisation : Créteil

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Ven 21 Aoû - 8:23

En même temps firmwares/th9x/th9xsimulator.cpp est directement sous build là où l'on lance le projet sur le fichier de projet VC++ ALL_BUILD

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Ven 21 Aoû - 10:43

Finalement, j'ai quand même réussi à builder Companion 2.0.17 avec le simulateur en FR donc mon objectif est atteint.
Merci à Kilrah pour l'info du #define à faire

Il est ici : [Vous devez être inscrit et connecté pour voir ce lien]

Inutile de préciser que c'est juste pour produire des écrans en français et qu'il ne faut pas l'utiliser pour autre chose.

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par LapinFou le Ven 21 Aoû - 10:46

dev.fred a écrit:Inutile de préciser que c'est juste pour produire des écrans en français et qu'il ne faut pas l'utiliser pour autre chose.
Pourquoi ??? Il ne simule pas correctement ?

En tout cas, merci pour ton boulot !!
avatar
LapinFou
Modérateur

Messages : 7157
Date d'inscription : 09/09/2014
Age : 42
Localisation : Falaise

http://falaisemodeleclub.fr/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Sam 22 Aoû - 15:06

Pas de problème avec le simu dans companion il n'y a aucun risque de toute façon.
Pour moi le problème c'est de rendre dispo une version de companion en français produite par un environnement bancal.
C'est pourquoi je cherchais à ne produire que le simulateur.
Maintenant c'est dit, à chacun de savoir ce qu'il en fera et s'il y a le moindre pb , je retire.

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Sam 22 Aoû - 17:38

J'ai produit simulateur.exe 2.1.2 (nightly car il corrige le pb  #2684 avec les scripts LUA) et companion.exe 2.0.17.

Le lien que j'ai donné 3 postes au-dessus: [Vous devez être inscrit et connecté pour voir ce lien] contient en autre:

21/08/2015  13:20         5 199 250 common.lib
21/08/2015  13:25         6 548 992 companion.exe

N'est ce pas ce que tu as chargé ?

J'ai eu un problème qui résiste durant le build de simulateur.exe en 2.0.17 ce qui est bien dommage, c'est ce que j'aurais aimé fournir plutôt que companion.exe.

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par Franck76 le Mar 25 Aoû - 11:56

Hello dev.fred

j'ai essayé de compiler Companion en m'appuyant sur ton tuto mais ma première tentative est un échec   scratch
Toute la question pour moi est de savoir pourquoi. A priori, les programmes ont été installés dans les répertoires de destination indiqués et en modifiant la variable PATH si nécessaire.

Aussi pourrais-tu m'apporter les précisions suivantes  :

- dans sa note d'installation, Bertrand parle d'installer les programmes (à l'exception de Visual Studio et QT) dans C:\Programs, mais visiblement MInGW doit être installé dans C:\ ? (tout comme QT)

- Dans la partie "Set up the source code tree structure" il est question d'installer gcc-arm-none-eabi-4.8, winAVR, yagarto, python 3.3.4, et PyQT4 :
en ce qui me concerne j'ai installé les seuls programmes qui apparaissent dans la photo du répertoire téléchargement et j'ai donc fait l'impasse sur yagarto et PyQT4. Est-ce bon ?

- ou alors l'erreur provient de ma variable path ?

Te serait-il possible de m'indiquer le contenu précis de ton PATH ?

D'avance merci pour ton coup de pouce  

Franck
avatar
Franck76

Messages : 181
Date d'inscription : 25/07/2013
Age : 46
Localisation : Rouen

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Mar 25 Aoû - 13:54

Franck a écrit:j'ai essayé de compiler Companion en m'appuyant sur ton tuto mais ma première tentative est un échec   scratch
Toute la question pour moi est de savoir pourquoi. A priori, les programmes ont été installés dans les répertoires de destination indiqués et en modifiant la variable PATH si nécessaire.
La 1ère étape est le cmake -G "VisualStudio 10" ..\src depuis le répertoire build
Si CMake est installé sous programs  tu dois vérifier que tu as  C:\programs\CMake\bin dans ton path.
Si tu tapes cmake est ce que le programme répond ça:
Code:
E:\opentx-master\companion\build>cmake
Usage

  cmake [options] <path-to-source>
  cmake [options] <path-to-existing-build>

Specify a source directory to (re-)generate a build system for it in the
current working directory.  Specify an existing build directory to
re-generate its build system.
Run 'cmake --help' for more information.
dans sa note d'installation, Bertrand parle d'installer les programmes (à l'exception de Visual Studio et QT) dans C:\Programs, mais visiblement MInGW doit être installé dans C:\ ? (tout comme QT)
C'est une préférence de Bertrand pour faire propre mais rien de critique. Dans les boites de dialogue certains installateurs laissent le choix du répertoire et d'autres proposent également de mettre à jour le path.
C'est un peu indigeste comme info mais voilà ce que j'ai comme répertoire.
Durant toute l'installation j'avais soit des problèmes de path, soit des problèmes d'incompatibilité d'outils soit des outils pas installés ou dans le cas de Python une embrouille avec 2 versions de python nécessaires, mais pas documentées.
Cela se traduisait par des messages d'erreurs assez facile à corriger soit durant le cmake qui contrôle la cohérence des outils soit durant l’exécution du projet BUILD_ALL.
Code:

C:\>dir
 Répertoire de C:\
13/08/2015  08:10    <REP>          Documents and Settings
13/08/2015  16:23    <REP>          MinGW
13/08/2015  21:42    <REP>          Program Files
13/08/2015  21:28    <REP>          programs
17/08/2015  05:38    <REP>          Python27
13/08/2015  09:33    <REP>          Qt
14/08/2015  04:06    <REP>          WinAVR-20100110
C:\>

Code:
C:\>cd programs
C:\programs>dir
 Répertoire de C:\programs
13/08/2015  09:31    <REP>          CMake
13/08/2015  14:04    <REP>          msinttypes
13/08/2015  12:12    <REP>          NSIS
13/08/2015  14:03    <REP>          pthreads
14/08/2015  08:51    <REP>          python
13/08/2015  14:14    <REP>          SDL
13/08/2015  15:13    <REP>          xerces-vc
13/08/2015  13:06    <REP>          xsd-3.3.0
 

Code:

C:\Program Files>dir
Répertoire de C:\Program Files

13/08/2015  08:04    <REP>          ComPlus Applications
13/08/2015  09:26    <REP>          Fichiers communs
13/08/2015  21:40    <REP>          GNU Tools ARM Embedded
13/08/2015  08:06    <REP>          Internet Explorer
13/08/2015  08:04    <REP>          Messenger
13/08/2015  08:06    <REP>          microsoft frontpage
13/08/2015  09:26    <REP>          Microsoft Help Viewer
13/08/2015  09:26    <REP>          Microsoft SDKs
13/08/2015  09:27    <REP>          Microsoft SQL Server Compact Edition
13/08/2015  09:27    <REP>          Microsoft Synchronization Services
13/08/2015  09:26    <REP>          Microsoft Visual Studio 10.0
13/08/2015  09:26    <REP>          Microsoft.NET
13/08/2015  08:05    <REP>          Movie Maker
13/08/2015  09:26    <REP>          MSBuild
13/08/2015  08:04    <REP>          MSN
13/08/2015  08:04    <REP>          MSN Gaming Zone
13/08/2015  08:05    <REP>          NetMeeting
13/08/2015  08:04    <REP>          Online Services
13/08/2015  08:12    <REP>          Oracle
13/08/2015  08:05    <REP>          Outlook Express
13/08/2015  09:25    <REP>          Reference Assemblies
13/08/2015  08:05    <REP>          Services en ligne
13/08/2015  08:06    <REP>          Windows Media Player
13/08/2015  08:04    <REP>          Windows NT
13/08/2015  08:06    <REP>          xerox

en ce qui me concerne j'ai installé les seuls programmes qui apparaissent dans la photo du répertoire téléchargement et j'ai donc fait l'impasse sur yagarto et PyQT4. Est-ce bon ?
Je n'ai pas installé yagarto, il me semble que cela fabrique les binaires de la radio en tout cela ne m'a pas généré d'erreur dans la génération d'OpenTX Companion.
Par contre ll faut installer PyQt-Py2.7-x86-gpl-4.9.4-1 dans le répertoire de python 2.7, c'est pourquoi tu ne le voies pas.
D'autre part, fais bien la séquence que j'ai indiqué:

  • Installer python3.4.3 (Pythons download page.)
  • Installer python2.7.10 et renommer python en python2 (Pythons download page.)
  • Installer PyQt-Py2.7-x86-gpl-4.9.4-1 dans le répertoire de python 2.7 (the SourceForge download page)
  • Installer WinAVR-20100110 (SourceForge download link)
  • Trouvez dirent.h ici : [Vous devez être inscrit et connecté pour voir ce lien]
    et le copier dans \opentx-master\radio\src\

Te serait-il possible de m'indiquer le contenu précis de ton PATH ?
Code:
C:\Python27\Lib\site-packages\PyQt4;C:\Python27\Lib\site-packages\PyQt4;C:\Python27\Lib\site-packages\PyQt4;C:\WinAVR-20100110\bin;C:\WinAVR-20100110\utils\bin;%SystemRoot%\system32;%SystemRoot%;%SystemRoot%\System32\Wbem;C:\programs\CMake\bin;C:\Qt\4.8.6-vc\bin;c:\Programs\NSIS\bin;C:\MinGW\msys\1.0\bin;C:\Programs\xerces-vc\;C:\programs\python;C:\Python27;C:\programs\pthreads\Pre-built.2\include


Dernière édition par dev.fred le Mer 26 Aoû - 5:13, édité 3 fois

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par Kilrah le Mar 25 Aoû - 14:05

yagarto = à oublier, remplacé par gcc-arm-none-eabi.
PyQT4 = indispensable.

Kilrah

Messages : 2175
Date d'inscription : 28/01/2014
Localisation : Suisse

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par Franck76 le Mar 25 Aoû - 16:21

Merci beaucoup pour vos réponses précises.
Ca m'a reboosté pour retenter ma chance !
Je vous tiens au courant
Franck
avatar
Franck76

Messages : 181
Date d'inscription : 25/07/2013
Age : 46
Localisation : Rouen

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par Franck76 le Mer 26 Aoû - 21:50

Bon cette fois-ci la commande cmake semble avoir fonctionné correctement  

Par contre tout ne se passe pas comme je veux avec visual studio c++ express,
J'obtiens les commentaires ci-après lorsque je fais un build  :

------ Build started: Project: about_lbm_taranis, Configuration: Release Win32 ------
 find: paths must precede expression
 Usage: find [path...] [expression]
 make: Nothing to be done for `lbm'.
------ Build started: Project: lua_exports, Configuration: Release Win32 ------
 find: paths must precede expression
 Usage: find [path...] [expression]
 make: `lua_exports.inc' is up to date.
------ Build started: Project: commondeps, Configuration: Release Win32 ------
 find: paths must precede expression
 Usage: find [path...] [expression]
 make: Nothing to be done for `tra'.
------ Build started: Project: about_lbm_9x, Configuration: Release Win32 ------
 find: paths must precede expression
 Usage: find [path...] [expression]
 make: Nothing to be done for `lbm'.
------ Build started: Project: opentx-9x-simulator, Configuration: Release Win32 ------
 opentxsimulator.cpp
    Creating library E:/opentx-master/companion/build/firmwares/opentx/simulator/Release/opentx-9x-simulator.lib and object E:/opentx-master/companion/build/firmwares/opentx/simulator/Release/opentx-9x-simulator.exp
 opentx-9x-simulator.vcxproj -> E:\opentx-master\companion\build\Release\opentx-9x-simulator.dll
------ Build started: Project: companion, Configuration: Release Win32 ------
LINK : fatal error LNK1181: cannot open input file 'simulation\Release\simulation.lib'
========== Build: 5 succeeded, 1 failed, 5 up-to-date, 0 skipped ==========

Soit 5 succès et 1 échec
C'est comme si le processus s'était arrêté en cours de route car dans mon répertoire release, j'ai seulement 1 fichier opentx-9x-simulator.dll et 1 fichier "common" (object file library) qui pèse 2.5 MO.

Peut-être à cause d'une fausse manip de ma part car je découvre visual C++ express
avatar
Franck76

Messages : 181
Date d'inscription : 25/07/2013
Age : 46
Localisation : Rouen

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par Franck76 le Jeu 27 Aoû - 6:12

La nuit portant conseils j'ai refait un essai ce matin et tout a fonctionné comme je l'espérais  Cool
Ca prend un petit peu de temps de générer tous les fichiers,, il faut être patient.....
En tout cas merci beaucoup pour ton tuto et tes conseils devfred!

avatar
Franck76

Messages : 181
Date d'inscription : 25/07/2013
Age : 46
Localisation : Rouen

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par dev.fred le Jeu 27 Aoû - 6:24



S'il y a qlq chose à améliorer dans la doc, n'hésites pas à partager. Wink

dev.fred

Messages : 568
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par Franck76 le Jeu 27 Aoû - 7:10

OK dev-fred Wink

j'ai justement pris le temps de noter toutes les étapes par lesquelles je suis passé.
Je vais croiser mes notes avec ton tuto et si je vois des points à rajouter pour les gens comme moi, qui sont pas forcément doués en informatique, je te le signalerai.
avatar
Franck76

Messages : 181
Date d'inscription : 25/07/2013
Age : 46
Localisation : Rouen

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par Murphy le Jeu 27 Aoû - 10:31

Franck76 a écrit: Je vais croiser mes notes avec ton tuto et si je vois des points à rajouter pour les gens comme moi, qui sont pas forcément doués en informatique, je te le signalerai.

Franchement si on est pas doué en informatique, quel est l'intérêt de plonger dans les sources de cette programmation de la radio ?

_________________
Encore là...
X9D+ EU-LBT 2.1.9,
Horus EU-LBT 2.2.0
[Vous devez être inscrit et connecté pour voir ce lien]
Forum du club [Vous devez être inscrit et connecté pour voir ce lien]
et [Vous devez être inscrit et connecté pour voir ce lien].
avatar
Murphy
Modérateur

Messages : 6278
Date d'inscription : 27/08/2013
Age : 72
Localisation : Montbéliard, près de la Suisse

http://bethoncourt-indoor.forumgratuit.org/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.0 en FR

Message par Sacre100 le Jeu 27 Aoû - 10:39

Murphy a écrit:...
Franchement si on est pas doué en informatique, quel est l'intérêt de plonger dans les sources de cette programmation de la radio ?

Mais y'en a aussi pour qui l'informatique est un plaisir (doué ou pas) et plonger dans les programmes, une source de satisfaction, tu ne vas quand même les priver de partager leur plaisir sur forum quand même.
avatar
Sacre100

Messages : 1889
Date d'inscription : 30/11/2013
Age : 60
Localisation : Blonay - Suisse

Revenir en haut Aller en bas

Page 1 sur 8 1, 2, 3, 4, 5, 6, 7, 8  Suivant

Voir le sujet précédent Voir le sujet suivant Revenir en haut

- Sujets similaires

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum